.card:hover {
    opacity: 0.7; 
    transform: scale(1.1); 
}

.card{
    top: 10%;
    cursor: pointer;
    transition: transform 0.3s, opacity 0.3s;
    position: relative;
    width: 100%;
    max-width: 450px;
    padding: 10px 0;
    margin: 0 auto;
  //  overflow: hidden;
    background-color: #fff;
    width: 100%;
    height: 500px;
    display: flex;
    flex-direction: column; 
    align-items: center;
    
    .card-id{
        padding: 0;
        margin: 0;
    }
    .card-name{
        font-size: 20px;
        text-decoration: underline;
        padding-bottom: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
        white-space: nowrap;
    }
    .card-image{
        height: 250px;
        width: 250px;
        object-fit: contain;
        margin: 0 auto;
    }
    .card-info{
        display: flex;
        flex-direction: column;
        height: auto;
        width: 100%;
        padding-bottom: 15px;
        .card-infot{
            display: flex;
            justify-content: space-around;
            overflow: hidden;
            .card-item{
                display: flex;
                flex-direction: column;
                text-align: center;
            }
        }
    }
}


.header {
    text-align: center;
    padding: 20px;
    margin-top: 20px;
  }
  
  .header h1 {
    font-size: 24px;
    margin: 0;
  }
  
  